Error when installing my own Add-On


#1

I’ve written a small Add-On for firefox. I can use it without problems if I load it temporary over about:debugging(even the packed zip) but if I try to install it permanent over about:addons -> install Add-On from file I get an error that the plugin “seems to be corrupted”. I didn’t sign it but I tried to install it with about:config -> xpinstall.signatures.required: false with the same error.


(Jorge) #2

That preference only works on Nightly and Developer Edition. It doesn’t work on Release or Beta.


(Fawis) #3

I have same problem on both developer edition and unbranded stable.
Please check my topic